> For the complete documentation index, see [llms.txt](https://docs.metacces.com/whitepaper/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.metacces.com/whitepaper/metacces-general/blockchain-layer-1/developers/smart-contracts/transfer.md).

# Transfer

#### Using `eth_sendSignedTransaction`[​](https://docs.goquorum.consensys.io/tutorials/contracts/account-funds-transfers#using-eth_sendsignedtransaction) <a href="#using-eth_sendsignedtransaction" id="using-eth_sendsignedtransaction"></a>

The simplest way to transfer funds between externally-owned accounts is using `eth_sendSignedTransaction`. This example uses `eth_sendSignedTransaction` and one of the test accounts to transfer funds to a newly created account.

Create a new file `eth_tx.js` (or run the following commands in a JavaScript console) to send the transaction. Before making the transaction, the script checks the balances of both accounts to verify the funds transfer after the transaction.

eth\_tx.js using eth\_sendSignedTransaction

Copy

```
const web3 = new Web3(host);
// Pre-seeded account with 90000 ACCES
const privateKeyA =
  "0x8f2a55949038a9610f50fb23b5883af3b4ecb3c3bb792cbcefbd1542c692be63";
const accountA = web3.eth.accounts.privateKeyToAccount(privateKeyA);
var accountABalance = web3.utils.fromWei(
  await web3.eth.getBalance(accountA.address),
);
console.log("Account A has balance of: " + accountABalance);

// Create a new account to transfer ETH to
var accountB = web3.eth.accounts.create();
var accountBBalance = web3.utils.fromWei(
  await web3.eth.getBalance(accountB.address),
);
console.log("Account B has balance of: " + accountBBalance);

// Send 0x100 ACCES from AccountA to AccountB and sign the transaction with
// Account A's private key
const rawTxOptions = {
  nonce: web3.utils.numberToHex(
    await web3.eth.getTransactionCount(accountA.address),
  ),
  from: accountA.address,
  to: accountB.address,
  value: "0x100", // Amount of ACCES to transfer
  gasPrice: "0x0", 
  gasLimit: "0x24A22", // Max number of gas units the tx is allowed to use
};
console.log("Creating transaction...");
const tx = new Tx(rawTxOptions);
console.log("Signing transaction...");
tx.sign(Buffer.from(accountA.privateKey.substring(2), "hex"));
console.log("Sending transaction...");
var serializedTx = tx.serialize();
const pTx = await web3.eth.sendSignedTransaction(
  "0x" + serializedTx.toString("hex").toString("hex"),
);
console.log("tx transactionHash: " + pTx.transactionHash);

// After the transaction, check the updated balances and there should be some ACCES transferred
var accountABalance = await getAccountBalance(host, accountA);
console.log("Account A has an updated balance of: " + accountABalance);
var accountBBalance = await getAccountBalance(host, accountB);
console.log("Account B has an updated balance of: " + accountBBalance);
```

#### Using `eth_sendTransaction`[​](https://docs.goquorum.consensys.io/tutorials/contracts/account-funds-transfers#using-eth_sendtransaction) <a href="#using-eth_sendtransaction" id="using-eth_sendtransaction"></a>

An alternative to using `eth_sendSignedTransaction` is using `eth_sendTransaction`.

Create a new file `eth_tx.js` (or run the following commands in a JavaScript console) to send the transaction.

eth\_tx.js using eth\_sendTransaction

Copy

```
const web3 = new Web3(host);
// Pre-seeded account with 90000 ETH
const privateKeyA =
  "0x8f2a55949038a9610f50fb23b5883af3b4ecb3c3bb792cbcefbd1542c692be63";
const accountA = web3.eth.accounts.privateKeyToAccount(privateKeyA);
var accountABalance = web3.utils.fromWei(
  await web3.eth.getBalance(accountA.address),
);
console.log("Account A has balance of: " + accountABalance);

// Create a new account to transfer ETH to
var accountB = web3.eth.accounts.create();
var accountBBalance = web3.utils.fromWei(
  await web3.eth.getBalance(accountB.address),
);
console.log("Account B has balance of: " + accountBBalance);

// Send some ETH from A to B
const txOptions = {
  from: accountA.address,
  to: accountB.address,
  value: "0x100", // Amount of ETH to transfer
  gasPrice: "0x0", 
  gasLimit: "0x24A22", // Max number of gas units the tx is allowed to use
};
console.log("Creating transaction...");
const pTx = await web3.eth.sendTransaction(txOptions);
console.log("tx transactionHash: " + pTx.transactionHash);

// After the transaction, there should be some ETH transferred
var accountABalance = await getAccountBalance(host, accountA);
console.log("Account A has an updated balance of: " + accountABalance);
var accountBBalance = await getAccountBalance(host, accountB);
console.log("Account B has an updated balance of: " + accountBBalance);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.metacces.com/whitepaper/metacces-general/blockchain-layer-1/developers/smart-contracts/transfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
